<?php
/**
 * The static front page template
 *
 * @package Fotografie Pro
 */

if ( 'posts' === get_option( 'show_on_front' ) ) :

	get_template_part( 'index' );

else :

	get_header();

	$enable_homepage_posts = fotografie_enable_homepage_posts();

	if ( $enable_homepage_posts ) :
		?>
		<div class="wrapper singular-section">
			<div id="primary" class="content-area">
				<main id="main" class="site-main" role="main">
					<?php
					while ( have_posts() ) : the_post();

						get_template_part( 'components/page/content', 'page' );

						$comment_select = get_theme_mod( 'fotografie_comment_option', 'use-wordpress-setting' );

						if ( 'use-wordpress-setting' === $comment_select && ( comments_open() || get_comments_number() ) ) {
							comments_template();
						} elseif ( 'disable-in-pages' === $comment_select && ( ! is_page() && ( comments_open() || get_comments_number() ) ) ) {
							comments_template();
						}

					endwhile; // End of the loop.
					?>
				</main><!-- #main -->
			</div><!-- #primary -->

			<?php get_sidebar(); ?>
		</div><!-- .singular-section -->
	<?php endif; // ! $disable_posts ?>

	<?php
	if ( get_theme_mod( 'fotografie_enable_static_page_posts' ) ) {
		?>
		<div id="primary" class="content-area">
			<main id="main" class="site-main" role="main">
				<?php get_template_part( 'components/features/recent-posts/recent-posts' ); ?>
			</main><!-- #main -->
		</div><!-- #primary -->
	<?php
	}
get_footer();

endif; ?>
