<?php
/**
 * Template Name: Full-Width Page
 *
 * Template Post Type: post, page
 *
 * @package Fotografie
 */

get_header(); ?>

	<div class="wrapper singular-section">
		<div id="primary" class="content-area">
			<main id="main" class="site-main" role="main">
				<?php
				while ( have_posts() ) : the_post();

					if ( 'page' === get_post_type() ) {
						get_template_part( 'components/page/content', 'page' );
					} else {
						get_template_part( 'components/post/content', 'single' );
					}

					$comment_select = get_theme_mod( 'fotografie_comment_option', 'use-wordpress-setting' );

					if ( 'use-wordpress-setting' === $comment_select && ( comments_open() || get_comments_number() ) ) {
						comments_template();
					} elseif ( 'disable-in-pages' === $comment_select && ( ! is_page() && ( comments_open() || get_comments_number() ) ) ) {
						comments_template();
					}

				endwhile; // End of the loop.
				?>
			</main><!-- #main -->
		</div><!-- #primary -->
	</div><!-- .wrapper -->
<?php
get_footer();
